Subject: Re: linux-next: build warning after merge of the kspp-gustavo tree

From: "Gustavo A. R. Silva" <[email-masked]>
Date: Mon, 12 Jul 2021 21:39:45 -0500

Stephen

On 7/12/21 20:10, Gustavo A. R. Silva wrote:
> Hi Stephen,
> 
> On 7/12/21 19:22, Stephen Rothwell wrote:
>> Hi all,
>>
>> After merging the kspp-gustavo tree, today's linux-next build (arm
>> multi_v7_defconfig) produced this warning:
>>
>> /home/sfr/next/next/drivers/gpu/drm/msm/msm_gem.c: In function 'msm_gem_new_impl':
>> /home/sfr/next/next/drivers/gpu/drm/msm/msm_gem.c:1170:6: warning: this statement may fall through [-Wimplicit-fallthrough=]
>>  1170 |   if (priv->has_cached_coherent)
>>       |      ^
>> /home/sfr/next/next/drivers/gpu/drm/msm/msm_gem.c:1173:2: note: here
>>  1173 |  default:
>>       |  ^~~~~~~
>>
>> Introduced by commit
>>
>>   d12e339044a0 ("drm/msm: add MSM_BO_CACHED_COHERENT")
>>
>> Presumably exposed by commit
>>
>>   73ffc61f4a8b ("Makefile: Enable -Wimplicit-fallthrough for Clang")
>>
>> though I am not sure why since I am building with gcc.  The first
>> commit above introduces a new use of /* fallthrough */
> 
> We have previously adopted the new pseudo-keyword macro fallthrough; So,
> we want to avoid having more /* fallthrough */ comments being introduced.
> This is also being enforced by commit
> 
> 	73ffc61f4a8b ("Makefile: Enable -Wimplicit-fallthrough for Clang")
> 
> for both GCC and Clang.
> 
> So, the fix for this issue is merely to replace the /* fallthrough */ comment
> with fallthrough;

I've already added a fix for this to my -next branch:

https://git.kernel.org/pub/scm/linux/kernel/git/gustavoars/linux.git/commit/?h=for-next/kspp&id=e181ad43887c6b6b5995e9b191666f04242d77eb

Thanks for the report!
--
Gustavo